.PHONY : prebuild preclean preinstall

music = music/nyancat.xm
bin2h_src = tools/bin2h.c
bin2h = ./bin2h


music.h : $(bin2h)
	@echo Generating "music.h"
	@$(bin2h) -sca music $(music) music.h

$(bin2h) : $(bin2h_src)
	@echo Building "bin2h" 
	@$(CC) $(CFLAGS) $(bin2h_src) -o $(bin2h)

prebuild : music.h

preclean :
	@rm -rf music.h $(bin2h) $(bin2h).exe

preinstall :

