# Poject configuraion for Linux/i386 only

# Project target binary name
OUT = nyancat

# Project dependency libraries
LIB_DIRS = -L ./libs/linux_i386/
LIBS = -lcurses -lalsaufmod -lasound

# Include directories
INCLUDE_DIRS = -I ./libs/linux_i386/

# Install prefix
PREFIX ?=

# Object file suffix
O = o

# C compiler
CC = gcc
# C++ compiler
CXX ?= g++
# linker
LD = $(CC)
# assembler
AS ?= as
# lib archiever
AR ?= ar
ARFLAGS ?= rcs

# strip
STRIP ?= strip
STRIP_FLAGS ?= --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version

# Defines
DEFINES ?=

# Default release options
ifndef DEBUG

# C compiler flags
CFLAGS ?= -Os -Wall -m32

# C++ compiler flags
CXXFLAGS ?= $(CFLAGS)

# Linker flags
LDFLAGS ?= -m32

# Assembler flags
ASFLAGS ?= 

else # Debug target

# Additional debuf define flags
DEFINES += -DDEBUG

# Override default flags
CFLAGS ?= -O0 -g -Wall -m32
CXXFLAGS ?= $(CFLAGS)
LDFLAGS ?= -m32
ASFLAGS ?=

# Append additional debug libraries
LIBS +=
DEFINES +=

endif

